Package org.drinkless.tdlib

# Class TdApi.GetEmojiSuggestionsUrl

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.HttpUrl>
org.drinkless.tdlib.TdApi.GetEmojiSuggestionsUrl

Enclosing class:
  `TdApi`

public static class TdApi.GetEmojiSuggestionsUrl extends TdApi.Function<TdApi.HttpUrl>
Returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements. The URL will be valid for 30 seconds after generation.

Returns `HttpUrl`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `languageCode`
  Language code for which the emoji replacements will be suggested.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetEmojiSuggestionsUrl()`
  Default constructor for a function, which returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements.
  `GetEmojiSuggestionsUrl(String languageCode)`
  Creates a function, which returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### languageCode

    public String languageCode
    Language code for which the emoji replacements will be suggested.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GetEmojiSuggestionsUrl

    public GetEmojiSuggestionsUrl()
    Default constructor for a function, which returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements. The URL will be valid for 30 seconds after generation.

    Returns `HttpUrl`

  - ### GetEmojiSuggestionsUrl

    public GetEmojiSuggestionsUrl(String languageCode)
    Creates a function, which returns an HTTP URL which can be used to automatically log in to the translation platform and suggest new emoji replacements. The URL will be valid for 30 seconds after generation.

    Returns `HttpUrl`

    Parameters:
      `languageCode` - Language code for which the emoji replacements will be suggested.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.HttpUrl>`
    Returns:
      this.CONSTRUCTOR